Bug 1480646 - "View Archive" Link not Showing after Advanced Installation Install with Aggr Logging
"View Archive" Link not Showing after Advanced Installation Install with Aggr...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.9.0
Assigned To: Jeff Cantrill
Johnny Liu
: Unconfirmed
: 1506436 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 10:54 EDT by Nick Schuetz
Modified: 2018-01-16 10:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
master-config.yaml (5.29 KB, text/plain)
2017-08-21 13:30 EDT, Nick Schuetz
no flags Details

  None (edit)
Description Nick Schuetz 2017-08-11 10:54:23 EDT
Description of problem:

The installer is putting the following problematic yaml code snippet at the very top of the master-config.yaml:

admissionConfig:
  pluginConfig:
    BuildDefaults:
      configuration:
        apiVersion: v1
        env: []
        kind: BuildDefaultsConfig
        resources:
          limits: {}
          requests: {}
    BuildOverrides:
      configuration:
        apiVersion: v1
        kind: BuildOverridesConfig
    openshift.io/ImagePolicy:
      configuration:
        apiVersion: v1
        executionRules:
        - matchImageAnnotations:
          - key: images.openshift.io/deny-execution
            value: 'true'
          name: execution-denied
          onResources:
          - resource: pods
          - resource: builds
          reject: true
          skipOnResolutionFailure: true
        kind: ImagePolicyConfig

That code snippet is interfearing with the parsers ability to pick up the loggingPublicURL. When looking in the Web UI you will not see the View Archive link. If I comment out or move the above code snippet to the bottom of the master-config.yaml the View Archive link appears again in the UI.

Version-Release number of the following components:

# rpm -q openshift-ansible
openshift-ansible-3.6.173.0.5-3.git.0.522a92a.el7.noarch

# rpm -q ansible
ansible-2.3.1.0-3.el7.noarch

# ansible --version
ansible 2.3.1.0
  config file = /etc/ansible/ansible.cfg
  configured module search path = Default w/o overrides
  python version = 2.7.5 (default, May  3 2017, 07:55:04) [GCC 4.8.5 20150623 (Red Hat 4.8.5-14)]


How reproducible:

Every time

Steps to Reproduce:
1. Install OCP 3.6 using the advanced installation method with openshift_hosted_logging_deploy=true
2.
3.

Actual results:

At the top of the master-config.yaml we see the following code snippet:

admissionConfig:
  pluginConfig:
    BuildDefaults:
      configuration:
        apiVersion: v1
        env: []
        kind: BuildDefaultsConfig
        resources:
          limits: {}
          requests: {}
    BuildOverrides:
      configuration:
        apiVersion: v1
        kind: BuildOverridesConfig
    openshift.io/ImagePolicy:
      configuration:
        apiVersion: v1
        executionRules:
        - matchImageAnnotations:
          - key: images.openshift.io/deny-execution
            value: 'true'
          name: execution-denied
          onResources:
          - resource: pods
          - resource: builds
          reject: true
          skipOnResolutionFailure: true
        kind: ImagePolicyConfig


Expected results:

The admissionConfig should be put somewhere other than above apiLevels.

Additional info:
Comment 1 Scott Dodson 2017-08-11 11:00:48 EDT
Can you provide logs from atomic-openshift-master or atomic-openshift-master-api  and the entire contents of master-config.yaml ?

journalctl --no-pager -u atomic-openshift-master -u atomic-openshift-master-api
Comment 2 Nick Schuetz 2017-08-21 13:30 EDT
Created attachment 1316431 [details]
master-config.yaml
Comment 3 Nick Schuetz 2017-08-21 13:54:52 EDT
Sorry, I no longer have the logs.
Comment 7 Scott Dodson 2017-10-13 09:40:17 EDT
This doesn't reproduce for us, we'll need logs from a reproducer.
Comment 9 Jeff Cantrill 2017-11-17 12:52:16 EST
*** Bug 1506436 has been marked as a duplicate of this bug. ***
Comment 12 Jeff Cantrill 2018-01-15 15:06:13 EST
@Eric Is this something the logging roles would be involved in changing?
Comment 13 ewolinet 2018-01-15 17:53:31 EST
@Jeff,

I don't know what logging can do if its already updating the "loggingPublicURL" setting for the master config. If the issue is parsing the config to pull out that value then it sounds like that would be an issue in the web console unless we're setting it under the wrong properties but it sounds like just moving the admissionConfig properties causes this to work.


@Nick,

You can confirm that on clusters that are not showing that "View Archive" url, there is a populated "loggingPublicURL" value in the master config?
Comment 14 Nick Schuetz 2018-01-16 10:06:49 EST
Yes, there is in fact a populated loggingPublicURL value in the master config.

Note You need to log in before you can comment on or make changes to this bug.